javax.xml.stream

## Interface XMLStreamWriter

-     public interface XMLStreamWriter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `NamespaceContext` | `getNamespaceContext()`
    `java.lang.String` | `getPrefix(java.lang.String uri)`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `void` | `setDefaultNamespace(java.lang.String uri)`
    `void` | `setNamespaceContext(NamespaceContext context)`
    `void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`
    `void` | `writeAttribute(java.lang.String localName, java.lang.String value)`
    `void` | `writeAttribute(java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
    `void` | `writeAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
    `void` | `writeCData(java.lang.String data)`
    `void` | `writeCharacters(char[] text, int start, int len)`
    `void` | `writeCharacters(java.lang.String text)`
    `void` | `writeComment(java.lang.String data)`
    `void` | `writeDefaultNamespace(java.lang.String namespaceURI)`
    `void` | `writeDTD(java.lang.String dtd)`
    `void` | `writeEmptyElement(java.lang.String localName)`
    `void` | `writeEmptyElement(java.lang.String namespaceURI, java.lang.String localName)`
    `void` | `writeEmptyElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`
    `void` | `writeEndDocument()`
    `void` | `writeEndElement()`
    `void` | `writeEntityRef(java.lang.String name)`
    `void` | `writeNamespace(java.lang.String prefix, java.lang.String namespaceURI)`
    `void` | `writeProcessingInstruction(java.lang.String target)`
    `void` | `writeProcessingInstruction(java.lang.String target, java.lang.String data)`
    `void` | `writeStartDocument()`
    `void` | `writeStartDocument(java.lang.String version)`
    `void` | `writeStartDocument(java.lang.String encoding, java.lang.String version)`
    `void` | `writeStartElement(java.lang.String localName)`
    `void` | `writeStartElement(java.lang.String namespaceURI, java.lang.String localName)`
    `void` | `writeStartElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`

- - ### Method Detail

    - #### close

          void close()
                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### flush

          void flush()
                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          NamespaceContext getNamespaceContext()

    - #### getPrefix

          java.lang.String getPrefix(java.lang.String uri)
                                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### getProperty

          java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### setDefaultNamespace

          void setDefaultNamespace(java.lang.String uri)
                                   throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setNamespaceContext

          void setNamespaceContext(NamespaceContext context)
                                   throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setPrefix

          void setPrefix(java.lang.String prefix,
                       java.lang.String uri)
                         throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeAttribute

          void writeAttribute(java.lang.String localName,
                            java.lang.String value)
                              throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeAttribute

          void writeAttribute(java.lang.String namespaceURI,
                            java.lang.String localName,
                            java.lang.String value)
                              throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeAttribute

          void writeAttribute(java.lang.String prefix,
                            java.lang.String namespaceURI,
                            java.lang.String localName,
                            java.lang.String value)
                              throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeCData

          void writeCData(java.lang.String data)
                          throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeCharacters

          void writeCharacters(char[] text,
                             int start,
                             int len)
                               throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeCharacters

          void writeCharacters(java.lang.String text)
                               throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeComment

          void writeComment(java.lang.String data)
                            throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeDefaultNamespace

          void writeDefaultNamespace(java.lang.String namespaceURI)
                                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeDTD

          void writeDTD(java.lang.String dtd)
                        throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          void writeEmptyElement(java.lang.String localName)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          void writeEmptyElement(java.lang.String namespaceURI,
                               java.lang.String localName)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          void writeEmptyElement(java.lang.String prefix,
                               java.lang.String localName,
                               java.lang.String namespaceURI)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEndDocument

          void writeEndDocument()
                                throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEndElement

          void writeEndElement()
                               throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeEntityRef

          void writeEntityRef(java.lang.String name)
                              throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeNamespace

          void writeNamespace(java.lang.String prefix,
                            java.lang.String namespaceURI)
                              throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          void writeProcessingInstruction(java.lang.String target)
                                          throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          void writeProcessingInstruction(java.lang.String target,
                                        java.lang.String data)
                                          throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          void writeStartDocument()
                                  throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          void writeStartDocument(java.lang.String version)
                                  throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          void writeStartDocument(java.lang.String encoding,
                                java.lang.String version)
                                  throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartElement

          void writeStartElement(java.lang.String localName)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartElement

          void writeStartElement(java.lang.String namespaceURI,
                               java.lang.String localName)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### writeStartElement

          void writeStartElement(java.lang.String prefix,
                               java.lang.String localName,
                               java.lang.String namespaceURI)
                                 throws XMLStreamException

      Throws:
        `XMLStreamException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.